org.icefaces.ace.component.panel

## Interface IPanel

- All Known Implementing Classes:
    Panel, PanelBase

      public interface IPanel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCloseSpeed()`
    `java.lang.String` | `getFooter()`
    `java.lang.String` | `getHeader()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `int` | `getToggleSpeed()`
    `java.lang.String` | `getWidgetVar()`
    `boolean` | `isClosable()`
    `boolean` | `isCollapsed()`
    `boolean` | `isDisableInputs()`
    `java.lang.Boolean` | `isPreviousDisableInputs()`
    `boolean` | `isToggleable()`
    `boolean` | `isVisible()`
    `void` | `setClosable(boolean closable)`
    `void` | `setCloseSpeed(int closeSpeed)`
    `void` | `setCollapsed(boolean collapsed)`
    `void` | `setDisableInputs(boolean disableInputs)`
    `void` | `setFooter(java.lang.String footer)`
    `void` | `setHeader(java.lang.String header)`
    `void` | `setPreviousDisableInputs(java.lang.Boolean previousDisableInputs)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`
    `void` | `setToggleable(boolean toggleable)`
    `void` | `setToggleSpeed(int toggleSpeed)`
    `void` | `setVisible(boolean visible)`
    `void` | `setWidgetVar(java.lang.String widgetVar)`

- - ### Method Detail

    - #### setClosable

          void setClosable(boolean closable)

    - #### isClosable

          boolean isClosable()

    - #### setCloseSpeed

          void setCloseSpeed(int closeSpeed)

    - #### getCloseSpeed

          int getCloseSpeed()

    - #### setCollapsed

          void setCollapsed(boolean collapsed)

    - #### isCollapsed

          boolean isCollapsed()

    - #### setDisableInputs

          void setDisableInputs(boolean disableInputs)

    - #### isDisableInputs

          boolean isDisableInputs()

    - #### setFooter

          void setFooter(java.lang.String footer)

    - #### getFooter

          java.lang.String getFooter()

    - #### setHeader

          void setHeader(java.lang.String header)

    - #### getHeader

          java.lang.String getHeader()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

    - #### setToggleSpeed

          void setToggleSpeed(int toggleSpeed)

    - #### getToggleSpeed

          int getToggleSpeed()

    - #### setToggleable

          void setToggleable(boolean toggleable)

    - #### isToggleable

          boolean isToggleable()

    - #### setVisible

          void setVisible(boolean visible)

    - #### isVisible

          boolean isVisible()

    - #### setWidgetVar

          void setWidgetVar(java.lang.String widgetVar)

    - #### getWidgetVar

          java.lang.String getWidgetVar()

    - #### setPreviousDisableInputs

          void setPreviousDisableInputs(java.lang.Boolean previousDisableInputs)

    - #### isPreviousDisableInputs

          java.lang.Boolean isPreviousDisableInputs()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.